#ifndef SIMPLE_TEXT_SMALL_H
#define SIMPLE_TEXT_SMALL_H

#define MAX_CHARSET_NUM_CHARS 256
#define LINEBUFFER 1024
#define CHARHEIGHT 7

#include <stdio.h>
#include <PocketFrog/PocketFrog.h>

using namespace Frog;

class SimpleTextSmall
{
private:
	// struct con i vari colori per i vari caratteri
	struct _colorscache {
		//charset
		Surface *carsurf[MAX_CHARSET_NUM_CHARS];
		Pixel color;
	};
	struct _colorscache **colorscache;
	unsigned short numcache;

	unsigned short FindColorID(Display *display, Pixel charcolor);
	int drawchar(Display *display, int cacheindex, int x, int y, char car);


public:
	SimpleTextSmall();
	~SimpleTextSmall(void);
	void drawstring(Display *display, Pixel color, int x, int y, char *pattern, ...);

};

#endif
